Bug 222363 - x11-wm/qtile currently broken (trying to update the port)
Summary: x11-wm/qtile currently broken (trying to update the port)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-16 06:06 UTC by Michael Reim
Modified: 2018-10-12 09:40 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (wg)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Reim 2017-09-16 06:06:13 UTC
The port x11-wm/qtile builds but the application dies with an xcb.Exception.

I'm new to porting but I would like to update and fix this issue. The problem here is that the dependencies for newer versions changed and one new dependency (py-xcffib) is not yet in ports. That dependency has two other missing dependencies itself (hs-xcb-types and hs-language-python).

The latest version of Qtile works on FreeBSD; I was able to manually build and install it (getting the dependencies through Python's Pip) to ensure it makes sense to update the port.

Then I created ports for all the missing dependencies and tried to follow what is recommended in the Porter's Handbook. However I'm pretty sure that those ports are not yet in acceptable shape and thus I would need a hand by an experienced porter. I've contacted the maintainer, asking if I should open a PR and he told me to go ahead with it.

Obeying the "one bug per PR" rule, I will create new PRs for the new ports. Could someone please mark x11-wm/qtile as BROKEN for now? Also please bear with me if I'm not doing this as it is expected. I'm willing to learn.
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-02-10 06:25:50 UTC
Feedback please!
Comment 2 commit-hook freebsd_committer 2018-10-12 09:25:58 UTC
A commit references this bug:

Author: tobik
Date: Fri Oct 12 09:25:03 UTC 2018
New revision: 481889
URL: https://svnweb.freebsd.org/changeset/ports/481889

Log:
  Explicitly mark x11-wm/qtile as broken

  It's already being skipped now since x11/xpyb was marked as broken
  in ports r471180, but qtile previously died with an xcb.Exception,
  so mark it as broken anyway by request of Michael.

  While here also reset maintainer due to the long timeout.

  PR:		222363
  Submitted by:	Michael Reim <kraileth@elderlinux.org>
  Approved by:	wg (maintainer timeout, 1 year)

Changes:
  head/x11-wm/qtile/Makefile
Comment 3 commit-hook freebsd_committer 2018-10-12 09:40:10 UTC
A commit references this bug:

Author: tobik
Date: Fri Oct 12 09:39:21 UTC 2018
New revision: 481891
URL: https://svnweb.freebsd.org/changeset/ports/481891

Log:
  Mark x11-wm/qtile as deprecated too

  It has been non-functional for over a year.

  PR:		222363

Changes:
  head/x11-wm/qtile/Makefile